package com.yidian.shenghuoquan.border.ui.widget

import android.content.Context
import android.util.AttributeSet
import android.view.View
import androidx.constraintlayout.widget.ConstraintLayout
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.databinding.BorderViewOrderCommodityInfoBinding
import com.yidian.shenghuoquan.border.dto.OrderDetailDto
import com.yidian.shenghuoquan.border.manager.OrderStatus

/**
 * author: yinjiacheng
 * date: 2021/8/21 22:19
 * description: 订单商品信息
 */
class OrderCommodityInfoView @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null, defStyle: Int = 0) :
  ConstraintLayout(context, attrs, defStyle) {

  private val viewBinding =
    BorderViewOrderCommodityInfoBinding.bind(View.inflate(getContext(), R.layout.border_view_order_commodity_info, this))

  /**
   * 设置商品信息
   * @param status 订单状态
   * @param info 商品信息
   */
  fun setCommodityInfo(status: OrderStatus, info: OrderDetailDto) {

  }
}
