package com.yidian.shenghuoquan.border.ui

import androidx.activity.viewModels
import com.yidian.bcommon.mvvm.BaseMvvmActivity
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.databinding.BorderActivityOrderDetailBinding
import com.yidian.shenghuoquan.border.manager.OrderStatus

/**
 * author: yinjiacheng
 * date: 2021/8/21 09:29
 * description: 订单详情页
 */
class OrderDetailActivity : BaseMvvmActivity<BorderActivityOrderDetailBinding, OrderDetailViewModel>() {

  override val layoutId: Int = R.layout.border_activity_order_detail
  override val vm: OrderDetailViewModel by viewModels()

  override fun initView() {
    binding.svOrderStatus.setOrderStatus(OrderStatus.ORDER_STATUS_REFUSE_REFUND)
    binding.pvPickupPointInfo.setPickupPoint(OrderStatus.ORDER_STATUS_CONFIRM, null)
    binding.ivConsigneeInfo.setConsigneeInfo(OrderStatus.ORDER_STATUS_CONFIRM, null)
  }
}
