package com.yidian.shenghuoquan.border.ui.widget

import android.content.Context
import android.util.AttributeSet
import androidx.constraintlayout.widget.ConstraintLayout
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.databinding.BorderViewOrderInfoBinding
import com.yidian.shenghuoquan.border.dto.OrderDetailDto
import com.yidian.shenghuoquan.border.manager.OrderStatus

/**
 * author: yinjiacheng
 * date: 2021/8/22 19:59
 * description: 订单信息
 */
class OrderInfoView @JvmOverloads constructor(context: Context, attrs: AttributeSet? = null, defStyle: Int = 0) :
  ConstraintLayout(context, attrs, defStyle) {

  private val viewBinding = BorderViewOrderInfoBinding.bind(inflate(getContext(), R.layout.border_view_order_info, this))

  /**
   * 设置订单信息
   * @param status 订单状态
   * @param info 订单信息
   */
  fun setOrderInfo(status: OrderStatus, info: OrderDetailDto) {

  }
}
